Create integration OAuth setup
curl --request POST \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles/{agentProfileID}/integration-oauth/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"client_secret": "<string>",
"signing_secret": "<string>",
"provider": "slack",
"return_to": "<string>"
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles/{agentProfileID}/integration-oauth/setup"
payload = {
"client_id": "<string>",
"client_secret": "<string>",
"signing_secret": "<string>",
"provider": "slack",
"return_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
client_secret: '<string>',
signing_secret: '<string>',
provider: 'slack',
return_to: '<string>'
})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/agent-profiles/{agentProfileID}/integration-oauth/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"flow_id": "<string>",
"oauth_url": "<string>",
"redirect_uri": "<string>",
"events_url": "<string>",
"actions_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Configs and Profiles
Create integration OAuth setup
POST
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
agent-profiles
/
{agentProfileID}
/
integration-oauth
/
setup
Create integration OAuth setup
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^aprf_[a-z2-7]{26}$Body
application/json
⌘I